## pyprofibus-1.11.tar.gz

=== phy_fpga/Makefile ===
# Project name
NAME		:= pyprofibusphy

# Target board configuration
TARGET		:= tinyfpga_bx
PLL_HZ		:= 24000000

DEBUG		:= 0

# Source files
TOP_FILE	:= main.v
TOP_MODULE	:= top_module
PCF_FILE	:= $(TARGET).pcf

# Generated files
PLL_MOD_V_FILE	:= pll_mod.v
GENERATED_V	:= crc8_func.v

# Extra dependencies
EXTRA_DEP_V	:=
EXTRA_DEP_PY	:=

# Additional cleanup
CLEAN_FILES	:= crcgen.stamp

include fpgamakelib/fpgamakelib.mk

crcgen.stamp:
	$(TEST) -f ./crcgen/crcgen || $(GIT) submodule update --init
	$(TOUCH) $@

crc8_func.v: crcgen.stamp
	PYTHONPATH=./crcgen $(PYTHON) ./crcgen/crcgen --algorithm CRC-8-CCITT --verilog-function --name crc8 > $@

=== debian/changelog ===
pyprofibus (1.11) UNRELEASED; urgency=low

  * Version 1.11

 -- Michael Buesch <m@bues.ch>  Mon, 01 Feb 2016 00:00:00 +0100

=== debian/control ===
Source: pyprofibus
Maintainer: Michael Buesch <m@bues.ch>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all-dev (>= 3.7),
               python3-setuptools,
               debhelper (>= 10)
Standards-Version: 4.5.1
X-Python3-Version: >= 3.7
Vcs-Git: git://git.bues.ch/pyprofibus.git
Vcs-Browser: https://bues.ch/gitweb?p=pyprofibus.git
Homepage: https://bues.ch/a/profibus

Package: python3-pyprofibus
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends}
Description: PROFIBUS-DP stack (Python 3)
 pyprofibus is a PROFIBUS-DP stack written in Python.

Package: profisniff
Architecture: any
Depends: python3-pyprofibus,
         ${misc:Depends},
         ${python3:Depends}
Description: PROFIBUS-DP telegram sniffer (Python 3)
 PROFIBUS-DP telegram sniffer based on pyprofibus.

Package: gsdparser
Architecture: any
Depends: python3-pyprofibus,
         ${misc:Depends},
         ${python3:Depends}
Description: PROFIBUS-DP GSD file parser (Python 3)
 PROFIBUS-DP GSD file parser based on pyprofibus.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
#export DH_VERBOSE=1

export PYBUILD_NAME=pyprofibus
export PYBUILD_SYSTEM=distutils
#export PYBUILD_DEBUG=1

export PYBUILD_DESTDIR_python3=debian/destdir-py3-pyprofibus/
export PYBUILD_DESTDIR_python3-dbg=debian/destdir-py3-pyprofibus-dbg/

export PYTHONDONTWRITEBYTECODE=1
export PYTHONPATH=
export PYTHONSTARTUP=
export PYTHONINSPECT=

export PYPROFIBUS_CYTHON_BUILD=0
export PYPROFIBUS_CYTHON_PARALLEL=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true
